Subject: Re: [PATCH v2 10/16] repack-midx: extract `repack_fill_midx_stdin_packs()`

From: Jeff King <[email-masked]>
Date: Wed, 29 Apr 2026 04:08:21 -0400

On Tue, Apr 21, 2026 at 04:37:42PM -0400, Taylor Blau wrote:

> This simplifies `write_midx_included_packs()` and prepares for a
> subsequent commit where the same helper is called with `cmd->out = -1`
> to capture the MIDX's checksum from the command's standard output,
> which is needed when writing MIDX layers with `--checksum-only`.

This should be --no-write-chain-file now, right? It's not used in the
code here, so it's just a commit message fixup.

-Peff